javax.swing.plaf.basic

## Class BasicComboPopup.InvocationMouseMotionHandler

- java.lang.Object
- - java.awt.event.MouseMotionAdapter
  - - javax.swing.plaf.basic.BasicComboPopup.InvocationMouseMotionHandler

All Implemented Interfaces:
  MouseMotionListener, EventListener

Enclosing class:
  BasicComboPopup

    protected class BasicComboPopup.InvocationMouseMotionHandler
    extends MouseMotionAdapter

This listener watches for dragging and updates the current selection in the list if it is dragging over the list.

### Constructor Summary

Constructors
`protected` `BasicComboPopup.InvocationMouseMotionHandler()`

### Method Summary

Methods
`void` `mouseDragged(MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.

### Methods inherited from class java.awt.event.MouseMotionAdapter

`mouseMoved`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicComboPopup.InvocationMouseMotionHandler

    protected BasicComboPopup.InvocationMouseMotionHandler()

### Method Detail

#### mouseDragged

    public void mouseDragged(MouseEvent e)

Description copied from class: `MouseMotionAdapter`
Invoked when a mouse button is pressed on a component and then dragged. Mouse drag events will continue to be delivered to the component where the first originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

Specified by:
  `mouseDragged` in interface `MouseMotionListener`
Overrides:
  `mouseDragged` in class `MouseMotionAdapter`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.